package com.mortals.xhx.module.sms.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.sms.model.SmsSetEntity;
import com.mortals.xhx.module.sms.service.SmsSetService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 短信设置
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("sms/set")
public class SmsSetController extends BaseCRUDJsonBodyMappingController<SmsSetService, SmsSetEntity, Long> {

    @Autowired
    private ParamService paramService;

    public SmsSetController() {
        super.setFormClass(SmsSetForm.class);
        super.setModuleDesc("短信设置");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "messageoff", paramService.getParamBySecondOrganize("SmsSet", "messageoff"));
        this.addDict(model, "smsplatform", paramService.getParamBySecondOrganize("SmsSet", "smsplatform"));
        super.init(model, context);
    }

}